/*
 * linked_list.h
 *
 *  Created on: 23 wrz 2017
 *      Author: mzaleczny
 */

#ifndef SRC_MAP_H_
#define SRC_MAP_H_



typedef struct _map {
	void *data;
	char *name;
	struct _map *next;
} t_map;


t_map *create_map();
t_map *add_item_to_map(t_map *map, char *name, void *data);
void delete_item_from_map(t_map **map, char *name, void (*free_data_function)(void *data));
void *get_data_from_map(t_map *map, char *name);
void free_map(t_map *map, void (*free_data_function)(void *data));



#endif /* SRC_MAP_H_ */
